import { RecordModel } from "pocketbase";
import { managePb404 } from "../../utils/pbTools";
import pbClient from "../pbClient";

export interface ProjectRecordModel extends RecordModel {
  project_id: number;
  description: string;
  name: string;
  path_with_namespace: string;
  web_url: string;
  avatar_url: string;
  has_new_cicd: boolean;
}

const getOne = (id: string) =>
  managePb404<ProjectRecordModel>(
    async () => await pbClient.collection("project").getOne(id)
  );

const getFullList = async () =>
  await pbClient.collection("project").getFullList<ProjectRecordModel>();

const update = async (id: string, data: Partial<ProjectRecordModel>) =>
  await pbClient.collection("project").update<ProjectRecordModel>(id, data);

const project = {
  getFullList,
  getOne,
  update,
};

export default project;
