import netTool from "./netTool";

const sendMessage = async (body: any) => {
  const URL = "https://egg.imoaix.cn/message";
  try {
    const res = await netTool.post(URL, body);
    return res;
  } catch {
    return null;
  }
};

sendMessage.byGroupId = async (group_id: string, content: string) => {
  return sendMessage({
    group_id,
    msg_type: "interactive",
    content,
  });
};

sendMessage.byChatId = async (chat_id: string, content: string) => {
  return sendMessage({
    receive_id: chat_id,
    receive_id_type: "chat_id",
    msg_type: "interactive",
    content,
  });
};

export default sendMessage;
